IMultiplicityRange

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IMultiplicityRange

    com.change_vision.jude.api.inf.model.IMultiplicityRange

public IMultiplicityRange

Interface for Multiplicity Range.

Field Summary
`static int` | `UNDEFINED` No setting.
`static int` | `UNLIMITED` No Upper Limit.

Method Summary
`abstract int` | `getLower()` Get Lower.
`abstract int` | `getUpper()` Get Upper
`abstract void` | `setLower(int lower)` Set Lower
`abstract void` | `setUpper(int upper)` Set Upper

Field Detail

### UNDEFINED

    public static final int UNDEFINED

  No setting.

### UNLIMITED

    public static final int UNLIMITED

  No Upper Limit.

Method Detail

### getLower

    public abstract int getLower()

  Get Lower.

  Returns:
    Lower

### getUpper

    public abstract int getUpper()

  Get Upper

  Returns:
    Upper

### setLower

    public abstract void setLower(int lower)

  Set Lower

  Parameters:
    `lower` - Lower
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.

        Values:
              Error messages for exceptions.

### setUpper

    public abstract void setUpper(int upper)

  Set Upper

  Parameters:
    `upper` - Upper
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD